Can't get hugo plugin to work

Hi there,

I’m currently creating a new website with the HUGO static site generator. I, therefore, want drone to build the site on every commit using the hugo plugin.

I tried to do this using the provided example (see below). The only thing I changed was the hugo_version setting, which I changed to my local version of 0.72. (This however is not the (only) problem, since it didn’t work with 0.55 either.)

kind: pipeline
name: default

steps:
- name: build
  image: plugins/hugo
  settings:
    hugo_version: 0.55
    validate: true

Every time the pipeline runs, the clone step succeeds, while the build step fails with this output:

latest: Pulling from plugins/hugo
Digest: sha256:c41c437b26c2b587bd32137e3d6bba3544f92a79b4992a9b3680437ee1ec3970
Status: Image is up to date for plugins/hugo:latest
2020/06/14 15:47:44 unexpected EOF

I also tried to fix this by providing the url setting (like in the other examples), but it didn’t help.

I’m confident that the problem is not within the hugo files, because my local installation has no problem building the site at all.

At this point, I’m out of ideas. What can I do to fix this?

Not sure if you ever figured this out, but it was giving me a headache. Hopefully this helps the next person to come along.

I think my problem was two-fold.

  1. I needed to add the extended: true setting.
  2. The hugo version does something that is IMO not ideal. 0.79.0 is a valid version, 0.79 is not. The hugo plugin will try to use that version number to download the latest hugo binary and when it gives you that EOF message when that doesn’t happen.